#include "MenuUtilities.h"

class UObject;
class UMenuCameraSystem;
class ADBDMenuPlayer;

bool UMenuUtilities::IsInStore(const UObject* contextObject)
{
	return false;
}

bool UMenuUtilities::IsInSomeLobby(const UObject* contextObject)
{
	return false;
}

bool UMenuUtilities::IsInRift(const UObject* contextObject)
{
	return false;
}

bool UMenuUtilities::IsInGame(const UObject* contextObject)
{
	return false;
}

bool UMenuUtilities::IsInChallenges(const UObject* contextObject)
{
	return false;
}

bool UMenuUtilities::IsInArchive(const UObject* contextObject)
{
	return false;
}

UMenuCameraSystem* UMenuUtilities::GetMenuCameraSystem(const UObject* contextObject)
{
	return NULL;
}

ADBDMenuPlayer* UMenuUtilities::GetLocalPlayerCharacter(const UObject* contextObject)
{
	return NULL;
}

TArray<ADBDMenuPlayer*> UMenuUtilities::GetAllMenuCharacters()
{
	return TArray<ADBDMenuPlayer*>();
}

bool UMenuUtilities::AreAllGuestCharactersReady()
{
	return false;
}

UMenuUtilities::UMenuUtilities()
{

}
